import { Page, Browser } from 'puppeteer';
import { CreateOptions } from '../../model/interface/';
export declare class scraping {
    page: Page;
    browser: Browser;
    options: CreateOptions;
    startScanQrcode: boolean;
    autoCloseInterval: any;
    autoCloseRemain: number;
    constructor(page: Page, browser: Browser, options: CreateOptions);
    protected tryAutoClose(): void;
    protected cancelAutoClose(): void;
    protected startAutoClose(): void;
    qrCode(): Promise<{
        base64Image: string;
        urlCode: string | null;
    } | undefined>;
    asciiQr(code: string): Promise<string>;
}
